Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Multiple copy

10 REPLIES 10
Reply
Message 1 of 11
Anonymous
482 Views, 10 Replies

Multiple copy

Dear alls Can someone help me to completed ( to corrected ) my program,I want multiple copy,but never finished on autolisp,it got trouble in run. Thanks for your help Best regards Ade Suharna Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP" Attachment not added (content type not allowed): "copy.LSP"
10 REPLIES 10
Message 2 of 11
Anonymous
in reply to: Anonymous

Try using SSGET function: ... (setq sslist (ssget "W" '(228 22) '(239 16))) (command ".copy" sslist "" "m" p31 p33 p35 p37 p39 "") ... Regards,
Message 3 of 11
Anonymous
in reply to: Anonymous

Hi naujoke ! Not yet work,location problem after "m",it need "specify base point" and "specify second point or displacement",I don't know how to put them in autolisp,any suggest?,thanks Best regards Ade Suharna naujoke wrote in message news:405a9bb6_2@newsprd01... > Try using SSGET function: > > ... > (setq sslist (ssget "W" '(228 22) '(239 16))) > (command ".copy" sslist "" "m" p31 p33 p35 p37 p39 "") > ... > > Regards, > >
Message 4 of 11
Anonymous
in reply to: Anonymous

Hi, A base point could be P29. If you are switched on OSNAP it possible work not correctly. Try to control OSNAP. (setq old_osnap (getvar "osmode")) (setvar "osmode" 0) (setq p29 (list 230 16.2857)) (setq p31 (list 230 21.4286)) (setq p33 (list 230 26.5714)) (setq p35 (list 230 31.7143)) (setq p37 (list 230 36.8571)) (setq p39 (list 230 42)) (setq p49 (list 238.5714 16.2857)) (setq p50 (list 234.2857 21.4286)) (command ".line" p29 p50 p49 "") (setq sslist (ssget "W" '(228 22) '(239 16))) (command ".copy" sslist "" "m" p29 p31 p33 p35 p37 p39 "") (setvar "osmode" old_osnap) (princ) Regards,
Message 5 of 11
H.vanZeeland
in reply to: Anonymous

try this

(if (setq sslist (ssget))
(progn
(initget 7)
(setq bp (getpoint "\nBasepoint for multiple selection: "))
(command "_.copy" sslist "" "m" bp)
(while (/= (getvar "cmdactive") 0)(command pause))
)
(princ "\nNoting selected.")
)

also you can on the commandline type multple follow by the command copy (equal to *copy in the menufile)
Message 6 of 11
Anonymous
in reply to: Anonymous

(defun c:cc ( / ss1 bpt) (while (not ss1) (princ "\nCopy multiple: ") (setq ss1 (ssget)) );while (while (not (setq bpt (getpoint "\nSpecify base point: ")))) (command "._copy" ss1 "" "m" bpt) );defun Jim Dee www.caddee.com "Adesu" wrote in message news:405a7383_2@newsprd01... > Dear alls > Can someone help me to completed ( to corrected ) my program,I want multiple > copy,but never finished on autolisp,it got trouble in run. > Thanks for your help > Best regards > Ade Suharna > > >
Message 7 of 11
Anonymous
in reply to: Anonymous

(defun c:c () (setq ents (ssget)) (command "copy" ents "" "m"));c;^M;
Message 8 of 11
Anonymous
in reply to: Anonymous

Thanks Ivan,you're right and Ok,but I want this program without "ssget",program run it self. Ivan. wrote in message news:18534093.1079978542811.JavaMail.javamailuser@localhost... > (defun c:c () (setq ents (ssget)) (command "copy" ents "" "m"));c;^M;
Message 9 of 11
Anonymous
in reply to: Anonymous

Sorry naujoke,your suggest not yet OK,here my complete program in attach,thanks naujoke wrote in message news:405abbab$1_3@newsprd01... > Hi, > > A base point could be P29. > If you are switched on OSNAP it possible work not correctly. > Try to control OSNAP. > > (setq old_osnap (getvar "osmode")) > (setvar "osmode" 0) > (setq p29 (list 230 16.2857)) > (setq p31 (list 230 21.4286)) > (setq p33 (list 230 26.5714)) > (setq p35 (list 230 31.7143)) > (setq p37 (list 230 36.8571)) > (setq p39 (list 230 42)) > (setq p49 (list 238.5714 16.2857)) > (setq p50 (list 234.2857 21.4286)) > (command ".line" p29 p50 p49 "") > (setq sslist (ssget "W" '(228 22) '(239 16))) > (command ".copy" sslist "" "m" p29 p31 p33 p35 p37 p39 "") > (setvar "osmode" old_osnap) > > (princ) > > Regards, > > >
Message 10 of 11
Anonymous
in reply to: Anonymous

Hi naujoke,very sorry for last post,you're right it's OK,I try again it program,but without "osnap",it can run alone. Thank a lot for your suggest. Best regards Ade Suharna naujoke wrote in message news:405abbab$1_3@newsprd01... > Hi, > > A base point could be P29. > If you are switched on OSNAP it possible work not correctly. > Try to control OSNAP. > > (setq old_osnap (getvar "osmode")) > (setvar "osmode" 0) > (setq p29 (list 230 16.2857)) > (setq p31 (list 230 21.4286)) > (setq p33 (list 230 26.5714)) > (setq p35 (list 230 31.7143)) > (setq p37 (list 230 36.8571)) > (setq p39 (list 230 42)) > (setq p49 (list 238.5714 16.2857)) > (setq p50 (list 234.2857 21.4286)) > (command ".line" p29 p50 p49 "") > (setq sslist (ssget "W" '(228 22) '(239 16))) > (command ".copy" sslist "" "m" p29 p31 p33 p35 p37 p39 "") > (setvar "osmode" old_osnap) > > (princ) > > Regards, > > >
Message 11 of 11
Anonymous
in reply to: Anonymous

Glad to hear about your success ;) You welcome at any time.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost